#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
@Time    : 2018/7/19

Function : test on launch a periodic Ping test
"""

from datetime import datetime, timedelta
from ripe.atlas.cousteau import (
    Ping,
    AtlasSource,
    AtlasCreateRequest
)


ATLAS_API_KEY = ""


source2 = AtlasSource(
    requested=1,
    type="probes",
    value="35704"
)

ping = Ping(
    af=4,
    target="202.112.51.179",
    description="Test for periodic Ping test",
    packets=1,
)


def request():

    atlas_request = AtlasCreateRequest(
        start_time=datetime.utcnow(),
        stop_time=(datetime.utcnow() + timedelta(minutes=5)),
        key=ATLAS_API_KEY,
        measurements=[ping],
        sources=[source2],
        is_oneoff=False,
        interval=60,
        spread=60
    )
    (is_success, response) = atlas_request.create()
    return is_success, response


if __name__ == '__main__':

    is_success, response = request()
    print(is_success, response)
    msm_id = response['measurements'][0]
    print(msm_id)
    if is_success:
        print("success!")
